Subject: Re: bug#29182: CVE-2017-1000383: umask and backup files

From: Stefan Kangas <[email-masked]>
Date: Tue, 8 Oct 2019 11:24:55 +0200

Glenn Morris <[email-masked]> writes:

> It is a silly CVE, but IMO backups belong by default in a private
> subdirectory of user-emacs-directory (user-data-directory if such a
> thing existed).

That's what I do, personally.  But it's not unproblematic to do that
by default, in my opinion.  What if I'm editing a file on an encrypted
filesystem, thinking that it's safe there, and Emacs silently saves a
copy of said file in my home directory on an unencrypted file system?

Best regards,
Stefan Kangas